﻿@using Mandiri.Lelang.WebAdminUI.Utility
@model Mandiri.Lelang.ViewModel.CityViewModel

<div class="container">
    <div class="page-header">
        <h1>List Kota</h1>
    </div>
    @Html.ActionLink("Tambah Kota", "AddOrUpdateCity", "Master", null, new { @class = "btn btn-primary" })
    <button type="button" class="btn btn-default" onclick="refreshDataTables('dataTable', '/Master/CityList');">Refresh Data</button>
    <span class="label label-warning">Press refresh button for initial loading</span>
    <br />
    <br />
    <div class="input-group short-width-input">
        <input type="text" class="form-control" placeholder="Keywords" id="txtKeywords" name="txtKeywords">
        <span class="input-group-btn">
            <button class="btn btn-primary" type="button" onclick="searchDataTables('dataTable', '/Master/CityList');"><i class="fa fa-search"></i></button>
        </span>
    </div>
    <br />
    <table id="dataTable" class="table table-bordered table-striped table-hover" cellspacing="0" width="100%" border="0">
        <thead>
            <tr>
                <th>@Html.DisplayNameFor(m => m.CityID)</th>
                <th>@Html.DisplayNameFor(m => m.Name)</th>
                <th>@Html.DisplayNameFor(m => m.Description)</th>
                <th>@Html.DisplayNameFor(m => m.ProvinceName)</th>
                <th></th>
                <th></th>
            </tr>
        </thead>
        <tbody></tbody>
        <tfoot>
        </tfoot>
    </table>
</div>

@section scripts
{
    <script type="text/javascript" charset="utf-8">
        $(document).ready(function () {
            loadDataTables("dataTable", "/Master/CityList", [
                { "bSortable": true },
                { "bSortable": true },
                { "bSortable": true },
                { "bSortable": true }, {
                    "bSortable": false, "mRender": function (data, type, row) {
                        return generateActionLink("Edit", "/Master/AddOrUpdateCity", "cityID=" + data);
                    }
                }, {
                    "bSortable": false, "mRender": function (data, type, row) {
                        return '<button type="button" class="btn btn-danger btn-sm" onclick="ajaxRowAction(\'dataTable\', \'/Master/DeleteCity\', ' + data + ', \'@ViewBag.ConfirmationMessage\')">Delete</button>';
                    }
                }], "desc"
            );
        });
    </script>
}